gnutls_x509_crl_print(3)

NAME
gnutls_x509_crl_print - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_print(gnutls_x509_crl_t crl, gnutls_certificate_print_formats_t format, gnutls_datum_t * out);

ARGUMENTS

gnutls_x509_crl_t crl
    The data to be printed

gnutls_certificate_print_formats_t format
    Indicate the format to use

gnutls_datum_t * out
    Newly allocated datum with null terminated string.

DESCRIPTION
This function will pretty print a X.509 certificate revocation list, suitable for display to a human. The output out needs to be deallocated using gnutls_free().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/